% eprload  Load experimental EPR data 
%
%   Data = eprload(FileName)
%   [Data,Pars] = eprload(FileName)
%   [Data,Pars,Abscissa] = eprload(FileName)
%   ... = eprload(FileName,'parse')
%
%   Read spectral data from a file specified in
%   the string 'FileName' into the array Data.
%   The structure Pars contains entries from the
%   parameter file, if present.
%
%   If 'parse' is given, all strings in the parameter structure
%   containing numbers are converted to numbers for easier use.
%
%   If FileName is a directory, a file browser is
%   displayed. If FileName is omitted, the current
%   directory is used as default.
%
%   For DSC/DTA data, abscissa contains the vector or
%   the vectors specifying the abscissa or abscissae of the
%   spectral data array, i.e. magnetic field range
%   for cw EPR, RF range for ENDOR and time delays
%   for pulse EPR. Units are those specified in
%   the parameter file. See the fields XPTX, XMIN, XWID
%   etc. in the Pars structure.
%
%   Supported formats are identified via the extension
%   in 'FileName'. Extensions:
%
%     MAGRES:          .PLT
%     BES3T:           .DTA, .DSC
%     ESP, WinEPR:     .spc, .par
%     qese, tryscore:  .eco
%     Varian:          .spk, .ref
%     ESE:             .d00, .exp
%     SpecMan:         .d01, .exp
%
%   If no extension is given, .DTA and .DSC are assumed
%
%   ****************************************************
%   For reading general ASCII formats, use textread(...)
%   ****************************************************

