% orisel  Orientation selection 
%
%   Weights = orisel(Sys,Exp)
%   Weights = orisel(Sys,Exp,Opt)
%   orisel(...)
%
%   Calculates weights for orientation selectivity.
%
%   Sys    spin system
%   Exp    experimental parameters
%      Field         magnetic field [mT]
%      mwFreq        spectrometer frequency [GHz]
%      ExciteWidth   FWHM excitation bandwidth [MHz]
%      Orientations  [phi;theta]
%   Opt    options structure
%      nKnots       number of knots
%      Symmetry     point group: C1, Ci, D2h, or Dinfh
%
%   Weights   vector of selectivity weights, one per orientation
%
%   If the function is called with no output arguments,
%   the selectivity weights are plotted.

