% pseumod  Pseudo field modulation 
%
%   yMod = pseumod(x,y,ModAmpl);
%   yMod = pseumod(x,y,ModAmpl,Harmonic);
%
%   Computes the effect of field modulation
%   on an EPR absorption spectrum.
%
%   Input:
%   - x: magnetic field axis vector [mT]
%   - y: absorption spectrum
%   - ModAmpl: peak-to-peak modulation amplitude [mT]
%   - Harmonic: harmonic, greater than 0, default is 1
%
%   Output;
%   - yMod: pseudo-modulated spectrum
%
%   Example:
%
%     x = linspace(300,400,1e3);
%     y = lorentzian(x,342,4);
%     ym = pseumod(x,y,5);
%     plot(x,ym);

