% ENDOR of 14N, line broadening, separate output
%=====================================================================
% Demonstates the use of System.lwEndor and Options.Output
clear all, close all

% Define spin system experiment
System = struct('S',1/2,'g',[2.25 2.25 2]);
System = nucspinadd(System,'14N',48+4*[-1 -1 2],[0 0 0],-0.84*[-1 -1 2]);
Experiment = struct('Range',[16,33],'Field',308.46,'mwFreq',9.681);

Options = [];

% Convolution with line width, return one spectrum for each
% transition.
System.lwEndor = 0.3; % MHz, FWHM
Options.Output = 'summed';
[rf,spec1] = salt(System,Experiment,Options);

% Stick spectrum, return total spectrum.
System.lwEndor = 0;
Options.Output = 'separate';
[rf,spec2] = salt(System,Experiment,Options);

% Display.
plot(rf,spec1,'b',rf,spec2,'r');
axis([-inf inf 0 max(spec1)*1.4]);
xlabel('ENDOR frequency [MHz]');
legend('separate, no line width','summed, with lwEndor');
