% Slow-motion spectrum of copper phthalocyanine in sulfuric acid
%==========================================================================
clear all, close all

% CuPc parameters
%--------------------------------------------------------------------------
g = [2.0525 2.0525 2.1994];
CuPc = struct('g',g,'Nucs','63Cu,14N','n',[1 4]);
CuPc.A = [-54 -54 -608; 52.4 41.2 41.8];

Dynamics.tcorr = 10^-7.35;
Dynamics.lw = 3;

% Experimental parameters
%----------------------------------------------------
Exp = struct('mwFreq',9.878,'CenterSweep',[330 120]);
Exp.nPoints = 1e4;

% Simulation and plotting
%----------------------------------------------------
Opt.LLKM = [36 30 8 8];
chili(CuPc,Dynamics,Exp,Opt);
