% Frequency dependence of nitroxide slow-motional spectra
%==========================================================================
clear all, close all

% Parameters
%--------------------------------------------------------------------------
g = [2.008, 2.006, 2.003];
Sys = struct('g', g, 'Nucs', '14N', 'A', [20, 20, 85]);
Dynamics = struct('lw', 0.0, 'tcorr', 1e-9);

% Simulations
%--------------------------------------------------------------------------
mw = [3, 9.5, 35, 95];     % GHz
nSpc = numel(mw);
for k = 1:nSpc
  Experiment.mwFreq = mw(k);
  [B{k},spc{k}] = chili(Sys, Dynamics, Experiment);
end

% Graphical rendering
%--------------------------------------------------------------------------
for k = 1:nSpc
  subplot(nSpc,1,k);
  plot(B{k},spc{k});
  axis tight;
end
