% Two coupled electrons
%==========================================================================
clear all, close all

% two-electron system, both electrons with orthorhombic g
Sys = struct('S',[1/2 1/2],'g',[2 2.05 2.1; 2.2 2.25 2.3],'HStrain',[1 1 1]*30);
Sys.ee = [1 1 -2]*100; % electron-electron coupling in MHz

% X band conditions
Par = struct('mwFreq',9.5,'Range',[280 350]);
Opt = [];

[x,y1] = pepper(Sys,Par,Opt);

% Display.
plot(x,y1);
xlabel('magnetic field [mT]');
title('Two coupled orthorhombic S=1/2');

% end
