% Mn(II) at X band with D strain
%==========================================================================
clear all, close all;

Sys = struct('S',5/2,'g',[2 2 2],'Nucs','55Mn',...
  'A',[253,253,253],'lw',1);
Exp = struct('Range',[270,400],'mwFreq',9.4,'nPoints',4001,'Harmonic',0);
Opt = struct('Verbosity',1);

D = 170; E = 0; Df = 1.0; Ef = 0.0;
Sys.D = [-D/3+E -D/3-E 2*D/3];
Sys.DStrain = [D*Df E*Ef];

[B,spec0] = pepper(Sys,Exp,Opt);
ModulationAmplitude = 0.1; % mT
spec1 = pseumod(B,spec0,ModulationAmplitude);

subplot(2,1,1);
plot(B,spec0); axis tight

subplot(2,1,2);
plot(B,spec1); axis tight
xlabel('magnetic field [mT]');

%end
