% Temperature effects for cw EPR
%==========================================================================
clear all, close all

% S=1 spin system and an experiment at Q band
Sys = struct('S',1,'g',[2,2,2],'D',[200 200 -400],'lw',3);
Exp = struct('Range',[1210 1290],'mwFreq',35);
Opt = [];

% Now we vary the temperature, specified in the
% Experiment structure.

Temp = [10 5 2 1 0.5]; % temperatures in Kelvin
for k = 1:length(Temp)
  Exp.Temperature = Temp(k);
  [x,yy] = pepper(Sys,Exp,Opt);
  y(k,:) = yy/sum(cumsum(yy)); % normalize to double integral
end

% Display
plot(x,y);
title('Temperature effects (spectra normalized to double integral)');
legend('10K','5K','2K','1K',0);
xlabel('magnetic field [mT]');
