% Simple high-spin S=1 simulation
%----------------------------------------------------------

% A simple S=1 spin system (e.g. Ni(II), a d8 ion)
Sys = struct('S',1,'g',[2 2 2],'lw',5);

% Definition of the zero-field splitting matrix diagonal
% in terms of the values of D and E:
D = 1e3;
E = 0.1*D;
Sys.D = [-D-3*E, -D+3*E, 2*D];

Exp = struct('mwFreq',10,'Range',[0 600]);

Opt = struct('nKnots',31,'Verbosity',2);

pepper(Sys,Exp,Opt);
