%function [rrscale,xxt1]=PD_MAXENT(filnm,filnmout,inparm1,inparm2,id_flg,filnm0);
%% Pair-Distributions by Maximum Entropy (PD_MAXENT)
%% 
%% PD_MAXENT(filnm,filnmout,inp1,inp2,flag,filnm0);
%% On Input:
%% filnm= "filename.dat".
%% filnmout= the file name for output data (no extension)
%% inp1=[outinfo, nLambda, minL, maxL]
%% or inp1=[outinfo, nLambda==1, reg_c] 
%%      reg_c= the assigned lambda.
%%
%%      outinfo=0 (iteration steps not output) 
%%              1   outputing iteration (using Hansen's subroutine)
%%              2   use CG subroutine
%%              3   use CG subruotion and include 1st-order poly baseline
%%                  (S(t) in filnm must be the raw experimental data)
%%              4   use CG subruotion and include 2nd-order poly baseline
%%
%%      nLambda= the # of the Lambda you want to search within the bound 
%%               [minL, maxL]
%%
%% inp2=[Rmin Rmax]; in unit of Angstrom
%%
%% flag="nopr0"     no initial values for Pr (DQC)
%%      "pr0"       requires initial values for Pr (DQC)
%%      "DEERpr0"   requires initial values for Pr (DEER)
%%      "DEERnopr0" no initial values for Pr (DEER)
%%
%% filnm0=> "filnm0.pr0", used as the initial values for P(r)
%%      
%% We strongly suggest users to seed MAXENT with proper initial values for
%% P(r).
%% 
%% YWC, Feb. 2005
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
